#include <linux/config.h>

/*
 * NB: we subtract 128 MB so that we don't have to enable CONFIG_HIGHMEM just
 * to enable the last 128 MB of the first GB.
 */

#if defined(CONFIG_1GB)
#define __PAGE_OFFSET 0xB8000000
#elif defined(CONFIG_2GB)
#define __PAGE_OFFSET 0x78000000
#elif defined(CONFIG_3GB)
#define __PAGE_OFFSET 0x38000000
#else
#error "I don't know what memory splitting scheme you want !"
#endif
